Name:           sugar-physics
Version:        32.1
Release:        1%{?dist}
Summary:        A physical world simulator and playground for Sugar

Group:          Sugar/Activities
License:        GPLv3+
URL:            http://wiki.sugarlabs.org/go/Activities/Physics
Source0:        https://github.com/sugarlabs/physics/archive/v%{version}.tar.gz

BuildRequires:  sugar-toolkit-gtk3
BuildRequires:  gettext
Requires:       sugar
Requires:       pybox2d
Requires:       python-elements
Requires:       python-olpcgames
BuildArch:      noarch

%description
You can add squares, circles, triangles, or draw your own shapes in
the Physics Activity, and see them come to life with forces (like gravity),
friction, and inertia.

%prep
%autosetup -n physics-%{version}

# remove bundled libraries
rm -rf lib olpcgames

%build
python ./setup.py build

%install
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}
rm %{buildroot}%{_prefix}/share/applications/*.desktop || true

# set appropriate permissions
chmod a+x $RPM_BUILD_ROOT%{sugaractivitydir}Physics.activity/physics.py
chmod a-x $RPM_BUILD_ROOT%{sugaractivitydir}Physics.activity/activity/{activity.info,activity-physics.svg}

%find_lang org.laptop.physics

%files -f org.laptop.physics.lang
%doc COPYING NEWS
%{sugaractivitydir}/Physics.activity/

%changelog
* Fri Jun 09 2017 Kalpa Welivitigoda <callkalpa@gmail.com> - 32.1-1
- Release 32.1

* Thu Jun 08 2017 Kalpa Welivitigoda <callkalpa@gmail.com> - 32-1
- Release 32

* Sat Apr 22 2017 Kalpa Welivitigoda <callkalpa@gmail.com> - 30-1
- Release 30

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 26-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 12 2015 Peter Robinson <pbrobinson@fedoraproject.org> 26-1
- Release 26

* Wed Dec 10 2014 Peter Robinson <pbrobinson@fedoraproject.org> 24-1
- Release 24

* Mon Nov 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> 23-1
- Release 23

* Mon Sep  1 2014 Peter Robinson <pbrobinson@fedoraproject.org> 22-1
- Release 21

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Peter Robinson <pbrobinson@fedoraproject.org> 21-1
- Release 21

* Sat Feb 15 2014 Peter Robinson <pbrobinson@fedoraproject.org> 19-1
- Release 19

* Tue Feb  4 2014 Peter Robinson <pbrobinson@fedoraproject.org> 17-1
- Release 17

* Mon Jan 13 2014 Peter Robinson <pbrobinson@fedoraproject.org> 13-1
- Release 13

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 18 2012 Peter Robinson <pbrobinson@fedoraproject.org> 11-1
- Release 11

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun  6 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 10-1
- Release 10

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct  5 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 9-1
- Release 9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 8-1
- New 8 release

* Thu Oct 14 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 7-1
- New 7 release

* Fri Jul 30 2010 Sebastian Dziallas <sebastian@when.com> - 5-1
- new upstream release

* Tue Feb 23 2010 Sebastian Dziallas <sebastian@when.com> - 4-2
- now with previously missing locales

* Tue Feb 23 2010 Sebastian Dziallas <sebastian@when.com> - 4-1
- new upstream release

* Mon Feb 01 2010 Sebastian Dziallas <sebastian@when.com> - 3-3
- bump for building with correct source

* Sun Jan 31 2010 Sebastian Dziallas <sebastian@when.com> - 3-2
- add olpcgames dependency

* Sun Jan 03 2009 Sebastian Dziallas <sebastian@when.com> - 3-1
- initial packaging
